SHA224SUM(1)

NUME
sha224sum - calculează și verifică suma de control SHA224

REZUMAT
sha224sum [OPȚIUNE]... [FIȘIER]...

DESCRIERE

Afișează sau verifică sumele de control SHA224 (224 de biți).

Fără FIȘIER, sau când FIȘIER este „-”, citește intrarea standard.

-b, --binary
    citește în modul binar

-c, --check
    citește sumele de control din FIȘIERE și-le verifică

--tag
    creează o sumă de control în stil BSD

-t, --text
    citește în modul text (implicit)

-z, --zero
    termină fiecare linie afișată cu NUL, nu cu o nouă linie, și dezactivează eludarea numelui fișierului

  Următoarele cinci opțiuni sunt utile numai la verificarea sumelor de control:

--ignore-missing
    nu eșuează și nu raportează starea fișierelor lipsă

--quiet
    nu afișează marcajul „OK” pentru fiecare fișier verificat cu succes

--status
    nu afișează nimic, codul de stare arată succes

--strict
    iese cu un cod de stare diferit de zero pentru linii de sumă de control formatate incorect

-w, --warn
    avertizează despre liniile de sumă de control formatate incorect

--help
    afișează acest mesaj de ajutor și iese

--version
    afișează informațiile despre versiune și iese

Sumele sunt calculate conform descrierii din RFC 3874. La verificare, intrarea trebuie să fie o ieșire anterioară a acestui program. Modul implicit este de a imprima o linie cu: suma de control un spațiu, un caracter care indică modul de intrare ('*' pentru binar, ' ' pentru text sau în cazul în care binarul este nesemnificativ) și numele pentru fiecare FIȘIER.

Notă: Nu există nicio diferență între modul binar și modul text pe sistemele GNU.

AUTOR
Scris de Ulrich Drepper, Scott Miller, și David Madore.

RAPORTAREA ERORILOR
Ajutor online GNU coreutils: <https://www.gnu.org/software/coreutils/>
Raportați orice erori de traducere la: <https://translationproject.org/team/ro.html>

DREPTURI DE AUTOR
Drepturi de autor © 2023 Free Software Foundation, Inc. Licența GPLv3+: GNU GPL versiunea 3 sau ulterioară <https://gnu.org/licenses/gpl.html>.
Acesta este software liber: sunteți liber să-l modificați și să-l redistribuiți. Nu există NICIO GARANȚIE, în limitele prevăzute de lege.

CONSULTAȚI ȘI
cksum(1)

Documentația completă este disponibilă la <https://www.gnu.org/software/coreutils/sha224sum>
sau local rulând comanda: «info'(coreutils) sha2 utilities'»

TRADUCERE
Traducerea în limba română a acestui manual a fost creată de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă Nicio RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.